from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class DomainsByHolderRequest(_message.Message):
    __slots__ = ("domain_holder_id", "domain_holder_history_id")
    DOMAIN_HOLDER_ID_FIELD_NUMBER: _ClassVar[int]
    DOMAIN_HOLDER_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
    domain_holder_id: _contact_common_types_pb2.ContactId
    domain_holder_history_id: _contact_common_types_pb2.ContactHistoryId
    def __init__(self, domain_holder_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., domain_holder_history_id: _Optional[_Union[_contact_common_types_pb2.ContactHistoryId, _Mapping]] = ...) -> None: ...

class DomainsByHolderReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("domain_holder_id", "domain_holder_history_id", "domains")
        class Domain(_message.Message):
            __slots__ = ("domain_id", "domain_history_id", "fqdn")
            DOMAIN_ID_FIELD_NUMBER: _ClassVar[int]
            DOMAIN_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
            FQDN_FIELD_NUMBER: _ClassVar[int]
            domain_id: _domain_common_types_pb2.DomainId
            domain_history_id: _domain_common_types_pb2.DomainHistoryId
            fqdn: _domain_common_types_pb2.Fqdn
            def __init__(self, domain_id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ..., domain_history_id: _Optional[_Union[_domain_common_types_pb2.DomainHistoryId, _Mapping]] = ..., fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ...) -> None: ...
        DOMAIN_HOLDER_ID_FIELD_NUMBER: _ClassVar[int]
        DOMAIN_HOLDER_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        DOMAINS_FIELD_NUMBER: _ClassVar[int]
        domain_holder_id: _contact_common_types_pb2.ContactId
        domain_holder_history_id: _contact_common_types_pb2.ContactHistoryId
        domains: _containers.RepeatedCompositeFieldContainer[DomainsByHolderReply.Data.Domain]
        def __init__(self, domain_holder_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., domain_holder_history_id: _Optional[_Union[_contact_common_types_pb2.ContactHistoryId, _Mapping]] = ..., domains: _Optional[_Iterable[_Union[DomainsByHolderReply.Data.Domain, _Mapping]]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("domain_holder_does_not_exist",)
        class DomainHolderDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        DOMAIN_HOLDER_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        domain_holder_does_not_exist: DomainsByHolderReply.Exception.DomainHolderDoesNotExist
        def __init__(self, domain_holder_does_not_exist: _Optional[_Union[DomainsByHolderReply.Exception.DomainHolderDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: DomainsByHolderReply.Data
    exception: DomainsByHolderReply.Exception
    def __init__(self, data: _Optional[_Union[DomainsByHolderReply.Data, _Mapping]] = ..., exception: _Optional[_Union[DomainsByHolderReply.Exception, _Mapping]] = ...) -> None: ...
